/*
This script performs an automated splitting of a *.csv lesson file into training and testing lessons on a random base.
It loads the corresponding net, and then randomizes the data.
Default ratio: 80% training, 20% testing (can be altered)

Author Frank Doelitzscher
Version: 0.1, 2013-06-28
*/
string sNetName = "rundata\\SplitDataNet.mbn";  // Name of the neural net (Net must fit to lesson file)
string sRawLessonFile = "rundata\\splitdata_lesson_overall.csv";		// Name of lesson input file (containing full data set)
string sTrainLessonName = "rundata\\trainingdataset.mbl";      			// Name of the training lesson file
string sValidateLessonName = "rundata\\testingdataset.mbl";    			// Name of the validation lesson file
uint splitratio = 20;													// Ratio of test file (default 20%)

// Program entry point
void main()
{

OpenNet(sNetName);
RandomizeNet();
    
// Load raw lesson to lesson #1
SelectLesson(1);
ImportLessonRaw(sRawLessonFile);

// Split lesson randomly by given ratio. A new lesson will be added, curser is on new lesson
SplitLesson(splitratio);

// Save training data lesson file
SaveLesson(sTrainLessonName);

// Switch to test data and lesson and save it to file
SelectLesson(2);
SaveLesson(sValidateLessonName);


//Exit Membrain
ExitMemBrain();
    
// Exit Script
AbortScript();
}

